> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-apis/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-apis/accessing-os-apis/os-maps-api/technical-specification/wmts.md).

# WMTS

{% hint style="warning" %}

### API test authentication

The Open API block allows you to test OS APIs directly from the page with example data and parameters. To use this feature, you will need to add your API Key or OAuth2 token to the authentication field.

For help generating an API Key or OAuth2 token, please see the [Getting started with an API project](https://docs.os.uk/os-apis/core-concepts/getting-started-with-an-api-project) or [OAuth2 documentation](https://docs.os.uk/os-apis/accessing-os-apis/oauth-2-api).
{% endhint %}

## GET /wmts

> Access and download data for a specific tile

```json
{"openapi":"3.0.1","info":{"title":"OS Maps API","version":"v1.0"},"tags":[{"name":"Tile Request","description":"Access and download data for a specific tile"}],"servers":[{"url":"https://api.os.uk/maps/raster/v1"}],"security":[{"api-key":[],"api-key-header":[],"oauth2":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","name":"key","in":"query"}},"schemas":{"ServiceMetadata":{"type":"object","properties":{"service":{"type":"object","properties":{"title":{"type":"string"},"description":{"type":"string"},"version":{"type":"string"}},"required":["title","description","version"]},"operations":{"type":"array","items":{"type":"string"}},"tileMatrixSets":{"type":"array","items":{"type":"string"}},"layers":{"type":"array","items":{"type":"string"}}},"required":["service","operations","tileMatrixSets","layers"]}}},"paths":{"/wmts":{"get":{"tags":["Tile Request"],"summary":"Access and download data for a specific tile","operationId":"getWMTSTileData","parameters":[{"name":"layer","in":"query","description":"The tile set layer that will be requested.","required":true,"schema":{"type":"string","enum":["Road_27700","Road_3857","Outdoor_27700","Outdoor_3857","Light_27700","Light_3857","Leisure_27700"]}},{"name":"tileMatrixSet","in":"query","description":"The identifier of the tile matrix set.","required":true,"schema":{"type":"string","enum":["EPSG:27700","EPSG:3857"]}},{"name":"tileMatrix","in":"query","description":"The identifier of the tile matrix within the specified tile matrix set.","required":true,"schema":{"type":"string"}},{"name":"tileRow","in":"query","description":"The row index of the tile.","required":true,"schema":{"type":"integer"}},{"name":"tileCol","in":"query","description":"The column index of the tile.","required":true,"schema":{"type":"integer"}},{"name":"service","in":"query","description":"The service that is being accessed.","required":true,"schema":{"type":"string","enum":["wmts"]}},{"name":"request","in":"query","description":"The type of request being made. If a GetCapabilities request is being made, the other parameters are not required other than authentication.","required":true,"schema":{"type":"string","enum":["GetCapabilities","GetTile"]}},{"name":"style","in":"query","description":"Taken from the Identifier of the chosen Layer's Style property","required":true,"schema":{"type":"string","enum":["default"]}},{"name":"version","in":"query","description":"The version number of the service.","required":false,"schema":{"type":"string","enum":["1.0.0","2.0.0"]}},{"name":"height","in":"query","description":"The Height of the tile.","required":false,"schema":{"type":"integer"}},{"name":"width","in":"query","description":"The Width of the tile.","required":false,"schema":{"type":"integer"}},{"name":"outputformat","in":"query","description":"The format of the returned tile.","required":false,"schema":{"type":"string","enum":["image/png"]}}],"responses":{"200":{"description":"Tile image retrieved successfully","content":{"image/png":{}}},"ServiceMetadata":{"description":"Retrieves Service Metadata for OS Maps API when request parameter is 'GetCapabilities'","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceMetadata"}}}}}}}}}
```

### Example Request

{% code overflow="wrap" fullWidth="true" %}

```url
https://api.os.uk/maps/raster/v1/wmts?service=WMTS&request=GetTile&version=2.0.0&style=default&layer=Outdoor_27700&tileMatrixSet=EPSG:27700&tileMatrix=7&tileRow=489&tileCol=323&key=INSERT_API_KEY
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-maps-api/technical-specification/wmts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
